Name:		gball
Version:	2.0
Release:	2%{?dist}
Summary:	The Console Ball and Racket Game

License:	GPLv3+
URL:		http://sites.google.com/site/mohammedisam2000/home/projects
Source0:	%{url}/%{name}-%{version}.tar.gz

Requires(post): info
Requires(preun): info
#Requires:	gnudos
BuildRequires:	gnudos-devel

%description
GBall is a simple yet nice implementation of the well known ball and 
racket game. It is designed to run under the GNU/Linux console 
(including terminal emulators). The aim of the game is simple: control 
your racket and move it around to bounce the ball and hit all the bricks.
If the ball hits a wall, it will bounce. If it fell down the screen without
bouncing on the racket, you lose.
The game includes many levels with an option to play levels randomly.
The game also has a high score board.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

install -m 0644 -p -D info/gball.info* %{buildroot}%{_infodir}/gball.info

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ] ; then
  /sbin/install-info --delete %{_infodir}/%{name}.info* %{_infodir}/dir || :
fi

%files
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/*
%{_docdir}/gball

%license COPYING

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Nov 30 2015 Mohammed Isam <mohammed_isam1984@yahoo.com> 2.0-1
- Added '9' & '0' keys to control game speed
- Fixed a bug in collision detection logic
- Added more levels

* Tue Oct 13 2015 Mohammed Isam <mohammed_isam1984@yahoo.com> 1.2-1
- Added commandline '--level' option
- Fixed black background

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Apr 28 2015 Mohammed Isam <mohammed_isam1984@yahoo.com> 1.1-2
- Fixed spec file issues

* Sun Apr 26 2015 Mohammed Isam <mohammed_isam1984@yahoo.com> 1.1-1
- Fixed spec file issues

* Wed Nov 19 2014 Mohammed Isam <mohammed_isam1984@yahoo.com> 1.0-1
- First release
